Subject: [Supa] ietf-supa-service-flow.yang in draft-chen-supa-eca-data-model-04.txt

From: Benoit Claise <[email-masked]>
Date: Wed, 21 Oct 2015 16:41:45 +0200

Hi,

pyang --ietf produces:

    ietf-supa-service-flow.yang:2: warning: RFC 6087: 4.8: namespace
    value should be "urn:ietf:params:xml:ns:yang:ietf-supa-service-flow"
    ietf-supa-service-flow.yang:6: warning: imported module
    ietf-yang-types not used
    ietf-supa-service-flow.yang:10: error: module "eca-policy-0910" not
    found in search path
    ietf-supa-service-flow.yang:10: warning: imported module
    eca-policy-0910 not used
    ietf-supa-service-flow.yang:25: error: RFC 6087: 4.7: statement
    "revision" must have a "reference" substatement
    ietf-supa-service-flow.yang:29: error: bad value
    "/supa:supa-policy/supa:supa-poliy-
    target/supa:instance" (should be schema-nodeid)
    ietf-supa-service-flow.yang:33: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:34: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:35: error: keyword "config" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:36: error: keyword "default" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:40: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:41: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:42: error: keyword "config" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:43: error: keyword "default" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:47: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:48: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:49: error: keyword "config" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:50: error: keyword "default" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:54: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:55: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:56: error: keyword "config" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:60: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:61: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:62: error: keyword "config" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:68: error: bad value
    "/supa:supa-policy/supa:supa-policy-
    statement/supa:condition-list" (should be schema-nodeid)
    ietf-supa-service-flow.yang:72: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:73: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:77: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:78: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:84: error: bad value
    "/supa:supa-policy/supa:supa-policy-
    statement/supa:action-list" (should be schema-nodeid)
    ietf-supa-service-flow.yang:92: error: keyword "when" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:96: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:97: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:101: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:102: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:106: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:107: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:111: error: keyword "description" not in
    canonical order, expected "type", (See RFC 6020, Section 12)
    ietf-supa-service-flow.yang:112: error: keyword "type" not in
    canonical order, (See RFC 6020, Section 12)

and pyang alone:

    ietf-supa-service-flow.yang:6: warning: imported module
    ietf-yang-types not used
    ietf-supa-service-flow.yang:10: error: module "eca-policy-0910" not
    found in search path
    ietf-supa-service-flow.yang:10: warning: imported module
    eca-policy-0910 not used
    ietf-supa-service-flow.yang:29: error: bad value
    "/supa:supa-policy/supa:supa-poliy-
    target/supa:instance" (should be schema-nodeid)
    ietf-supa-service-flow.yang:68: error: bad value
    "/supa:supa-policy/supa:supa-policy-
    statement/supa:condition-list" (should be schema-nodeid)
    ietf-supa-service-flow.yang:84: error: bad value
    "/supa:supa-policy/supa:supa-policy-
    statement/supa:action-list" (should be schema-nodeid)

Regards, Benoit

---

From: Benoit Claise <[email-masked]>
Date: Thu, 22 Oct 2015 11:04:40 +0200

Hi Tina,

It works better
bclaise$ pyang --ietf eca-policy.yang
eca-policy.yang:2: warning: RFC 6087: 4.1: no module name prefix used, 
suggest ietf-eca-policy

This warning is new with pyang 1.6. You should get it from 
https://github.com/mbj4668/pyang

Regards, Benoit

> Dear Benoit et al,
>
> That’s weird, so I checked the history version, found out that the old 
> version must have been accidentally used.
>
> Therefore, I try to help and make the attachments, which should be 
> fine to pass all the pyang --ietf check. Please have a look again.
>
> Thank you,
>
> Tina
>
> *From:*Supa [mailto:[email-masked]] *On Behalf Of *Benoit Claise
> *Sent:* Wednesday, October 21, 2015 10:42 PM
> *To:* [email-masked]
> *Cc:* [email-masked]
> *Subject:* [Supa] ietf-supa-service-flow.yang in 
> draft-chen-supa-eca-data-model-04.txt
>
> Hi,
>
> pyang --ietf produces:
>
> ietf-supa-service-flow.yang:2: warning: RFC 6087: 4.8: namespace value 
> should be "urn:ietf:params:xml:ns:yang:ietf-supa-service-flow"
> ietf-supa-service-flow.yang:34: error: keyword "type" not in canonical 
> order, (See RFC 6020, Section 12)
> ietf-supa-service-flow.yang:41: error: keyword "type" not in canonical 
> order, (See RFC 6020, Section 12)
> ietf-supa-service-flow.yang:48: error: keyword "type" not in canonical 
> order, (See RFC 6020, Section 12)
> ietf-supa-service-flow.yang:55: error: keyword "type" not in canonical 
> order, (See RFC 6020, Section 12)
> ietf-supa-service-flow.yang:61: error: keyword "type" not in canonical 
> order, (See RFC 6020, Section 12)
> ietf-supa-service-flow.yang:73: error: keyword "type" not in canonical 
> order, (See RFC 6020, Section 12)
> ietf-supa-service-flow.yang:78: error: keyword "type" not in canonical 
> order, (See RFC 6020, Section 12)
> ietf-supa-service-flow.yang:92: error: keyword "when" not in canonical 
> order, (See RFC 6020, Section 12)
> ietf-supa-service-flow.yang:97: error: keyword "type" not in canonical 
> order, (See RFC 6020, Section 12)

---

From: Benoit Claise <[email-masked]>
Date: Mon, 26 Oct 2015 22:51:16 +0900

Hi,
>
> Dear Benoit et al,
>
> Pyang 1.6 is very new without installation manual.
>
Sure?
https://github.com/mbj4668/pyang/blob/master/README

Regards, Benoit
>
> But I managed to install it, help the authors making the attached YANG 
> models, getting rid of pyang1.6 warning.
>
> Thank you,
>
> Tina
>
> *From:*Benoit Claise [mailto:[email-masked]]
> *Sent:* Thursday, October 22, 2015 5:05 PM
> *To:* Tina TSOU; [email-masked]
> *Cc:* [email-masked]
> *Subject:* Re: [Supa] ietf-supa-service-flow.yang in 
> https://github.com/mbj4668/pyang <https://github.com/mbj4668/pyang>
>
> Regards, Benoit
>
>     Dear Benoit et al,
>
>     That’s weird, so I checked the history version, found out that the
>     old version must have been accidentally used.
>
>     <mailto:[email-masked]>
>     *Cc:* [email-masked] <mailto:[email-masked]>
>     ietf-supa-service-flow.yang:10: error: module "eca-policy-0910"
>     not found in search path
>     ietf-supa-service-flow.yang:33: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:40: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:47: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:54: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:60: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:72: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:77: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:96: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:101: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:106: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:111: error: keyword "description" not
>     in canonical order, expected "type", (See RFC 6020, Section 12)
>     ietf-supa-service-flow.yang:10: error: module "eca-policy-0910"
>     not found in search path

---

From: Tina TSOU <[email-masked]>
Date: Mon, 26 Oct 2015 15:10:23 +0000

Dear Benoit,

Thanks for pointing out the link.

Thank you,
Tina

在 2015年10月26日，下午9:52，Benoit Claise <[email-masked]<mailto:[email-masked]>> 写道：

Hi,
Dear Benoit et al,

Regards, Benoit
But I managed to install it, help the authors making the attached YANG models, getting rid of pyang1.6 warning.

Thank you,
Tina

From: Benoit Claise [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 5:05 PM
To: Tina TSOU; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Supa] ietf-supa-service-flow.yang in draft-chen-supa-eca-data-model-04.txt

Hi Tina,

It works better
bclaise$ pyang --ietf eca-policy.yang
eca-policy.yang:2: warning: RFC 6087: 4.1: no module name prefix used, suggest ietf-eca-policy

This warning is new with pyang 1.6. You should get it from https://github.com/mbj4668/pyang

Regards, Benoit
Dear Benoit et al,

That’s weird, so I checked the history version, found out that the old version must have been accidentally used.

Therefore, I try to help and make the attachments, which should be fine to pass all the pyang --ietf check. Please have a look again.

Thank you,
Tina

From: Supa [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: Wednesday, October 21, 2015 10:42 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [Supa] ietf-supa-service-flow.yang in draft-chen-supa-eca-data-model-04.txt

Hi,

pyang --ietf produces:
ietf-supa-service-flow.yang:2: warning: RFC 6087: 4.8: namespace value should be "urn:ietf:params:xml:ns:yang:ietf-supa-service-flow"
ietf-supa-service-flow.yang:6: warning: imported module ietf-yang-types not used
ietf-supa-service-flow.yang:10: error: module "eca-policy-0910" not found in search path
ietf-supa-service-flow.yang:10: warning: imported module eca-policy-0910 not used
ietf-supa-service-flow.yang:25: error: RFC 6087: 4.7: statement "revision" must have a "reference" substatement
ietf-supa-service-flow.yang:29: error: bad value "/supa:supa-policy/supa:supa-poliy-
target/supa:instance" (should be schema-nodeid)
ietf-supa-service-flow.yang:33: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:34: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:35: error: keyword "config" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:36: error: keyword "default" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:40: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:41: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:42: error: keyword "config" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:43: error: keyword "default" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:47: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:48: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:49: error: keyword "config" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:50: error: keyword "default" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:54: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:55: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:56: error: keyword "config" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:60: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:61: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:62: error: keyword "config" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:68: error: bad value "/supa:supa-policy/supa:supa-policy-
statement/supa:condition-list" (should be schema-nodeid)
ietf-supa-service-flow.yang:72: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:73: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:77: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:78: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:84: error: bad value "/supa:supa-policy/supa:supa-policy-
statement/supa:action-list" (should be schema-nodeid)
ietf-supa-service-flow.yang:92: error: keyword "when" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:96: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:97: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:101: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:102: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:106: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:107: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:111: error: keyword "description" not in canonical order, expected "type", (See RFC 6020, Section 12)
ietf-supa-service-flow.yang:112: error: keyword "type" not in canonical order, (See RFC 6020, Section 12)

and pyang alone:
ietf-supa-service-flow.yang:6: warning: imported module ietf-yang-types not used
ietf-supa-service-flow.yang:10: error: module "eca-policy-0910" not found in search path
ietf-supa-service-flow.yang:10: warning: imported module eca-policy-0910 not used
ietf-supa-service-flow.yang:29: error: bad value "/supa:supa-policy/supa:supa-poliy-
target/supa:instance" (should be schema-nodeid)
ietf-supa-service-flow.yang:68: error: bad value "/supa:supa-policy/supa:supa-policy-
statement/supa:condition-list" (should be schema-nodeid)
ietf-supa-service-flow.yang:84: error: bad value "/supa:supa-policy/supa:supa-policy-
statement/supa:action-list" (should be schema-nodeid)

Regards, Benoit

---

From: zhayiyong <[email-masked]>
Date: Tue, 27 Oct 2015 01:04:13 +0000

Hi Benoit,

Thank you for pointing out the link. Actually, directly try “python setup.py install”  may cause error due to lack of setuptools module (at least for me). So it may be better to install setuptools package first. Link here: https://pythonhosted.org/an_example_pypi_project/setuptools.html .

Best,
Yiyong

From: Supa [mailto:[email-masked]] On Behalf Of Benoit Claise
Sent: Monday, October 26, 2015 9:51 PM
To: Tina TSOU; [email-masked]
Cc: [email-masked]
Subject: Re: [Supa] ietf-supa-service-flow.yang in draft-chen-supa-eca-data-model-04.txt

Hi,
Dear Benoit et al,

Regards, Benoit

Thank you,
Tina

Hi Tina,

It works better

Regards, Benoit
Dear Benoit et al,

Thank you,
Tina

Hi,

pyang --ietf produces:

and pyang alone:

Regards, Benoit

---

From: Benoit Claise <[email-masked]>
Date: Wed, 28 Oct 2015 16:47:59 +0900

Hi,

www.yangvalidator.com is your friend, courtesy of Carl Moberg (YANG 
Model Coordination Group)

Regards, Benoit
>
> Hi Benoit,
>
> Thank you for pointing out the link. Actually, directly try “python 
> setup.py install”  may cause error due to lack of setuptools module 
> (at least for me). So it may be better to install setuptools package 
> first. Link here: 
> https://pythonhosted.org/an_example_pypi_project/setuptools.html .
>
> Best,
>
> Yiyong
>
> *Sent:* Monday, October 26, 2015 9:51 PM